<template>

  <div id="ViewRule" >

    <div class="login-box shadow-sm mb-5 bg-white rounded">
      <div class="p-5">
        <h5>Reglas establecidas:</h5>
        <br>
        <div class="container" v-for="(rule1, key1) in rules[filterOptions(rules)]" :key="key1" >
          <div v-if="rule1!=null">
            <h3 v-if="rule1!==undefined">#{{key1}} {{rule1.name}}</h3>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapGetters } from 'vuex'
  import { RTDB } from '../main.js';
  export default {
    computed:{
    ...mapGetters(['getCodeFamily']),
  },
    name: 'ViewRule',
    data () {  

      return {
        rule_created:false,
        rules:[],
      };
    },
    methods: {
      rulesLength(rules){
        let length = rules.length;
        length--;
        return length
      },
      filterOptions(options){
        let lastIndex=0;
        lastIndex = options.length;
        lastIndex--;
        return lastIndex;
      },
    },
    created () {
      this.rules=[];
      RTDB.ref('family/'+this.getCodeFamily+'/rule').on('value',snapshot=>this.rules.push(snapshot.val()));
    },
  };
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.login-box{
  max-width: 480px;
}
h5 {
  color: #45b5b5;
  font-weight: bold;
}

</style>
